/*
 Theme Name:   Astra Child
 Theme URI:    https://wpastra.com/
 Description:  Child theme for Astra
 Author:       Sina
 Author URI:   https://example.com/
 Template:     astra
 Version:      1.0.0
 Text Domain:  astra-child
*/

/* اینجا استایل‌های خودت رو بنویس */

li.wc_payment_method.payment_method_WC_GPIR img {
    width: 45px;
    height: 45px;
}
.ccs-left #payment ul.payment_methods {
    border: none !important;
}
.woocommerce-privacy-policy-text {
    display: none;
}

form #order_review:not(.elementor-widget-woocommerce-checkout-page #order_review) {
    border: 1px solid #c7c7c7;
    border-radius: 8px;
    padding: 16px;
    border-width: 1px;
}

li.wc_payment_method.payment_method_WC_GPIR {
    padding: 10px 16px;
    border: 1px solid #c7c7c7;
    border-radius: 8px;
    direction: ltr;
}

.payment_box.payment_method_WC_GPIR {
    display: none;
}

.woocommerce form .form-row-first, .woocommerce form .form-row-last, .woocommerce-page form .form-row-first, .woocommerce-page form .form-row-last {
    width: 100% !important;
    overflow: visible;
}
.woocommerce-billing-fields__field-wrapper .form-row input {
        border-radius: 12px !important;
}

form #order_review:not(.elementor-widget-woocommerce-checkout-page #order_review) {
    padding: 16px !important;
    border-width: 1px !important;
    border-style: solid;
    border-color: var(--ast-border-color);
}

button#place_order {
    background: #4451aa !important;
    height: 50px;
    border-radius: 8px !important;
}

.woocommerce-form-coupon-toggle {
    display: none !important;
} 

.widget_shopping_cart_content .bdt-mini-cart-product-item.bdt-flex.bdt-flex-middle.cart_item {
    display: flex;
    align-items: center;
    gap: 16px;
    border-radius: 16px;
    border: 1px solid #c5c5c5;
    padding: 10px;
    justify-content: flex-start;
        position: relative;
        margin-bottom: 8px;
}
.widget_shopping_cart_content .bdt-mini-cart-product-item.bdt-flex.bdt-flex-middle.cart_item img {
    width: 85px;
    border-radius: 12px;
}

.widget_shopping_cart_content .bdt-mini-cart-product-remove {
    position: absolute;
    left: 16px;
    height: 34px;
    padding: 8px;
    background: #ebe9e9;
    border-radius: 8px;
    display: flex;
    justify-content: center;
}

.bdt-mini-cart-subtotal.bdt-flex.bdt-flex-between {
    display: flex;
    width: calc(100% - 32px);
    align-items: center;
    justify-content: space-around;
    background: #f3f1f1;
    padding: 8px;
    margin: 0 16px;
    border-radius: 8px;
}

.bdt-mini-cart-footer-buttons {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
    flex-wrap: nowrap;
    margin-top: 24px;
    padding: 0 16px;
}

a.bdt-button.bdt-button-view-cart.bdt-size-md {
    padding: 8px 20px;
    background: #fff;
    border: 1px solid #4b4daa;
    border-radius: 8px;
    color: #4b4daa;
    text-align: center;
    width: 100%;
}


.widget_shopping_cart_content {
    padding-bottom: 16px !important;
}


a.bdt-button.bdt-button-view-cart.bdt-size-md .bdt-button-text {
    color: #4b4daa !important;
    text-align: center;
    width: 100%;
}

a.bdt-button.bdt-button-checkout.bdt-size-md {
     
     padding: 8px 20px;
    background: #4b4daa;
    border-radius: 8px;
    color: #fff;
    text-align: center;
    width: 100%;
}

a.bdt-button.bdt-button-checkout.bdt-size-md .bdt-button-text{
     color: #4b4daa;
     padding: 8px 20px;
    background: #4b4daa;
    border-radius: 8px;
    color: #fff;
    text-align: center;
    width: 100%;
} 

#page .site-content {
    overflow-x: hidden !important;
    flex-grow: 1;
}


.woocommerce-js a.remove {
        width: 20px !important;
}

.wc-empty-mini-cart {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 80px;
    gap: 24px;
}

.wc-empty-mini-cart svg {
    width: 74px;
    fill: #9C27B0;
}